
Redmine - Defect #5745

Auto-set status when assigning issues via bulk-update

2010-06-23 17:22 - Nick Peelman

Status: New Start date: 2010-06-23

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

So you right click on an issue (or multiple issues) in the issue list, hover over assigned, and assign an issue to a user.  Redmine

generates an email (or multiple emails).  Repeat to set the status to Assigned or Pending.  Redmine generates another email (or

several more emails).

You can avoid this by just going in and editing the issue(s), but it would be nice if you could shrink that down to one step.  Given the

configurability of issue statuses, I don't know if it would need to go as far as making that a configuration option on the Issue Statues

or not, its pretty specific to those bulk updates, as you don't always want to change the status when assigning issues (particularly if

there's a status already set).  I've been chewing over how to mod/patch it for a while now and haven't come up with anything.

History

#1 - 2010-06-28 23:12 - Holger Just

You can select all the issues you want to update, right click and select edit. There, you can set the status and assigned to (and many more fields) in

one step for all the selected issues.

#2 - 2011-07-13 19:09 - Etienne Massip

- Category set to Issues workflow
